property theFileTypesToProcess : {"PKG"}
property theExtensionsToProcess : {"pkg"}
property theTypeIdentifiersToProcess : {"pkg"}
property didProcessDroppedFile : false

on open theDroppedItems
	repeat with a from 1 to count of theDroppedItems
		set theCurrentItem to item a of theDroppedItems
		tell application "System Events"
			set theExtension to name extension of theCurrentItem
			set theFileType to file type of theCurrentItem
			set theTypeIdentifier to type identifier of theCurrentItem
		end tell
		if ((theFileTypesToProcess contains theFileType) or (theExtensionsToProcess contains theExtension) or (theTypeIdentifiersToProcess contains theTypeIdentifier)) then
			set didProcessDroppedFile to true
			processItem(theCurrentItem)
		end if
	end repeat
end open

if didProcessDroppedFile is false then
	set package to choose file of type "pkg"
	processItem(package)
end if

on processItem(theItem)
	set posixPath to (the POSIX path of theItem)
	do shell script "
	
function script() {
input=\"$1\"
tmp=\"${TMPDIR}/$(uuidgen)\"
mkdir $tmp
cd \"$tmp\"
cp \"$input\" ./in.pkg
pkgutil --expand ./in.pkg ./expanded
sed -i '' 's/(result != 0)/(false)/g' ./expanded/Distribution
pkgutil --flatten ./expanded ./out.pkg
cp ./out.pkg ~/Desktop/Repackaged-\"${input##*/}\"
rm -rf \"$tmp\"
}

script " & posixPath
	
end processItem
